package com.permadi.ui;

import com.example.ui.R;

import android.app.Activity;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.widget.TextView;


public class CustomSliderActivity extends Activity implements OnTouchListener 
{
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        CustomSliderView slider1=(CustomSliderView)this.findViewById(R.id.slider1);
        slider1.setDelegateOnTouchListener(this);

        CustomSliderView slider2=(CustomSliderView)this.findViewById(R.id.slider2);
        slider2.setDelegateOnTouchListener(this);
        slider2.setResourceIds( R.drawable.slider_other_thumb, R.drawable.slider_bar_other_skin);
        slider2.setRange(1, 500);
        slider2.setScaledValue(250);
    }
    
    public boolean onTouch(View view, MotionEvent event)
    {
    	TextView textView=(TextView)this.findViewById(R.id.textView);
    	if (view.getId()==R.id.slider1)
    	{
    		CustomSliderView customSliderView=(CustomSliderView)view;
    		textView.setText("Slider 1 is at: "+customSliderView.getScaledValue());
    	}
    	if (view.getId()==R.id.slider2)
    	{
    		CustomSliderView customSliderView=(CustomSliderView)view;
    		textView.setText("Slider 2 is at: "+customSliderView.getScaledValue());
    	}
    	return true;
    }
}